with GNATCOM.Dispinterface;

package MSHTML.DispSVGGradientElement_Object is

   type DispSVGGradientElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_xmlbase
     (This : DispSVGGradientElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_xmlbase
     (This : DispSVGGradientElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_ownerSVGElement
     (This : DispSVGGradientElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_ownerSVGElement
     (This : DispSVGGradientElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_viewportElement
     (This : DispSVGGradientElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_viewportElement
     (This : DispSVGGradientElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_focusable
     (This : DispSVGGradientElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_focusable
     (This : DispSVGGradientElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_gradientUnits
     (This : DispSVGGradientElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_gradientUnits
     (This : DispSVGGradientElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_gradientTransform
     (This : DispSVGGradientElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_gradientTransform
     (This : DispSVGGradientElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_spreadMethod
     (This : DispSVGGradientElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_spreadMethod
     (This : DispSVGGradientElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_href
     (This : DispSVGGradientElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_externalResourcesRequired
     (This : DispSVGGradientElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_className
     (This : DispSVGGradientElement_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.DispSVGGradientElement_Object;

